Subject: Errata note for RFC 3944

From: Alfred Hönes <[email-masked]>
Date: Tue, 4 Jan 2005 10:30:49 +0100 (MEZ)

Hello,
I'd like to mention a couple of typos and other textual issues I've
found in the new RFC 3944 authored by you.

One general inconsistency observed throughout the text, is related
to the use of 'architecture' (singular) vs. 'architectures' (plural).
Since the H.350 series recommendations describe a *single*
[LDAP directory] architecture [extension], I propose to modify the
text to use the singular form in a consistent manner as noted below.

Further, there are a lot of places where I miss expected articles
('the' / 'a' / 'an') -- even in the text that is said to be copied
from the ITU-T Recommendations.

Please check the textual changes proposed below, and decide which
of these should be submitted to the RFC editor for inclusion on the
RFC Errata web page.
Modified lines are emphasized by a change bar "|" in the first column.

(1)

Change the first 4 (identical) lines of
-  'Abstract' on page 1,  and
-  '1. Scope' on page 3, from :

  "The International Telecommunications Union Standardization Sector
   (ITU-T) has created the H.350 series of Recommendations that specify
   directory services architectures in support of multimedia
   conferencing protocols.  The goal of the architecture is to" ...
                                        ^^^^^^^^^^^^^^^^!!
to:

  "The International Telecommunications Union Standardization Sector
   (ITU-T) has created the H.350 series of Recommendations that specify
|  a directory services architecture in support of multimedia
   conferencing protocols.  The goal of the architecture is to" ...

(2)

Change the second paragraph of '1. Scope' on page 3:

  "H.350 architectures are not intended to change the operation of
   multimedia conferencing protocols in any way.  Rather, they are meant
   to standardize the way the already defined protocol elements are
   stored in a directory, so that they can be accessed in a standardized
   manner."

to:

| "The H.350 architecture is not intended to change the operation of
|  multimedia conferencing protocols in any way.  Rather, it is meant
   to standardize the way the already defined protocol elements are
   stored in a directory, so that they can be accessed in a standardized
   manner."

(3)

In lines 2..4 of '4.1. Scope' on page 4, change:

                                   ... "Standardized directory services
   can support association of persons with endpoints, searchable white
   pages, and clickable dialling."  ...

to:

                                   ... "Standardized directory services
|  can support the association of persons with endpoints, searchable white
   pages, and clickable dialling."  ...

(4)

In the bottom half of the second paragraph of section 4.1. on
page 5, change:
                                                  ... "Each of these
   disparate systems can access the same underlying data source,
   reducing or eliminating the need to coordinate separate management of
   each system.  A significant benefit to the user is that the
   management of this data can be incorporated into existing customer
   management tools, allowing for quick and flexible scaling up of
   applications.  Indeed, many technology providers have already
   incorporate LDAP into their products, but have been forced to do so
   without benefit of a standardized schema." ...

to:
                                                  ... "Each of these
   disparate systems can access the same underlying data source,
|  reducing or eliminating the need to coordinate the separate management
   of each system.  A significant benefit to the user is that the
   management of this data can be incorporated into existing customer
   management tools, allowing for quick and flexible scaling up of
   applications.  Indeed, many technology providers have already
   incorporate LDAP into their products, but have been forced to do so
|  without the benefit of a standardized schema." ...

(5)

In lines 3..7 of the forth paragraph of section 4.1. on page 5,
change:
                                                 ... "LDAP provides a
   convenient storage location that can be accessed by both call server
   and endpoint; thus it is possible to use the directory to support
   endpoint configuration, which is important for simplified operation
   and supporting user mobility."

to:
                                                 ... "LDAP provides a
   convenient storage location that can be accessed by both call server
|  and endpoint; thus it is possible to use the directory to support the
   endpoint configuration, which is important for simplified operation
   and supporting user mobility."

(6)

In the bottom half of the sixth paragraph of section 4.1. on page 6,
change:
                                ... "Similarly, commObject contains a
   pointer, called commOwner, which points to the individual or resource
   that is associated with the commObject.  In this way, people or
   resources can be associated with endpoints.  The only change required
   in the enterprise directory is the addition of the simple object
   class commURI.  CommObject data may be instantiated in the same or in
   entirely separate directories, thus allowing flexibility in
   implementation."

to:

|                               ... "Similarly, each commObject contains a
   pointer, called commOwner, which points to the individual or resource
   that is associated with the commObject.  In this way, people or
   resources can be associated with endpoints.  The only change required
|  to the enterprise directory is the addition of the simple object
   class commURI.  CommObject data may be instantiated in the same or in
|  an entirely separate directory, thus allowing flexibility in
   implementation."

(7)

In the first lines of the final paragraph of section 4.1.2.1,
on page 9, change:

  "Note that this example and approach demonstrate extension of the
   general commObject object class, and not any individual H.350.x
   classes." ...

to:

| "Note that this example and approach demonstrate an extension of the
   general commObject object class, and not any individual H.350.x
   classes." ...

(8)

In the first line of section 4.2., on page 10, change:

  "Auxiliary object class that contains the commURI attribute." ...

to:

| "An Auxiliary object class that contains the commURI attribute." ...

(9)

Change the 'definition' clause of section 5.2.4., on page 20, from:

       "Address which specifies the domain location of SIP proxy within
   a domain.  RFC 3261 defines the role of the SIP proxy."

to:

|      "Address which specifies the domain location of a SIP proxy within
   a domain.  RFC 3261 defines the role of the SIP proxy."

(10)

In the second paragraph of section 6. (6th text line on page 27),
change:

  "(https//:videnet.unc.edu)"

to:

| "(https://videnet.unc.edu)"

(11)

In the first two lines of the second paragraph of section 7.,
on page 27, change:

  "H.350 does not alter the security architectures of any particular
   protocol."

to:

| "H.350 does not alter the security architecture of any particular
   protocol."

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+